## meego-keyboard-quick 0.1.0-1

=== debian/changelog ===
meego-keyboard-quick (0.1.0-1) unstable; urgency=low

  * Initial release.

 -- Michael Hasselmann <michaelh@openismus.com>  Wed, 11 May 2011 23:21:17 +0200
