## meego-keyboard-quick 0.1.1-1fremantle1

=== debian/changelog ===
meego-keyboard-quick (0.1.1-1fremantle1) unstable; urgency=low

  * Fixes: VKB landscape resolution on N900, for MeeGo Keyboard Quick
  * Fixes: Invalid write to non-existing variable in MeeGo Keyboard Quick

 -- Michael Hasselmann <michaelh@openismus.com>  Thu, 12 May 2011 18:37:42 +0200
