=== debian/control ===
Source: meego-keyboard-quick
Section: user/utilities
Priority: extra
Maintainer: Michael Hasselmann <michael@taschenorakel.de> 
Build-Depends: debhelper (>= 5), libqt4-experimental-dev (>= 4.6), libmeegoimframework-dev (>= 0.20.6-1), libmeegoimquick-dev
Standards-Version: 3.7.2

Package: meego-keyboard-quick
Architecture: any
Depends:  ${misc:Depends}, ${shlibs:Depends}, meego-im-uiserver
Description: MeeGo Keyboard Quick
 Meego Keyboard Quick

Package: meego-keyboard-quick-dbg
Section: devel
Architecture: any
Depends:  meego-keyboard-quick (= ${binary:Version}) 
Description: MeeGo Keyboard Quick
 MeeGo Keyboard Quick
